Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.boot
Class RioActivatableServiceDescriptor.Created

    java.lang.Object
      org.jini.rio.boot.RioActivatableServiceDescriptor.Created

Enclosing class:
  RioActivatableServiceDescriptor

    public static class RioActivatableServiceDescriptor.Created

extends Object

Object returned by `RioActivatableServiceDescriptor.create()` method that returns the proxy, group identifier, and activation identifier for the created service.

Field Summary
`ActivationID` | `aid` The activation id of the service
`ActivationGroupID` | `gid` The activation group id of the service
`Object` | `proxy` The reference to the proxy of the created service

Constructor Summary
`RioActivatableServiceDescriptor.Created(ActivationGroupID gid, ActivationID aid, Object proxy)` Constructs an instance of this class.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gid

    public final ActivationGroupID gid

  The activation group id of the service

### aid

    public final ActivationID aid

  The activation id of the service

### proxy

    public final Object proxy

  The reference to the proxy of the created service

Constructor Detail

### RioActivatableServiceDescriptor.Created

    public RioActivatableServiceDescriptor.Created(ActivationGroupID gid,
                                                   ActivationID aid,
                                                   Object proxy)

  Constructs an instance of this class.

  Parameters:
    `gid` - activation group id of the created service
    `aid` - activation id of the created service
    `proxy` - reference to the proxy of the created service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.